Subject: Re: query buffer

From: postarch (Postgres Mailing Archive)
Date: Tue, 03 Mar 92 14:29:01 PST

you write:

> 1. How can I retain the query just executed in the query buffer
>    for editing ?
> 
> i.e. If I type
> 
> * retrieve (emp.all1) \g
> 
> and the system gives me an error
> 
> *\e
> brings me to the editor but the buffer is  clear. Is there
> a way I can make it retain the query I just typed in
> so that I can edit it.

You have to catch mistakes before you send them to the backend. It would
be nice if the monitor detected WARN's and didn't clear the query buffer
in that case, but it doesn't.

> 2. Why does the system give an error when I give the query
> 
> * retrieve (emp.salary) where emp.salary > 300.00
> 
> It says that  the operator > is not defined for int2 and float4.
> Here emp.salary refers to the demo database.

in the demo database emp.salary has type int4 (as though 2 byte integers
don't get big enough).

	retrieve (emp.salary) where emp.salary > 300

should work.

Jeff Meredith
[email-masked]